Page MenuHomePhabricator

Client side recursion error on Special:Translate when using source and target language equal (camcelCase RecursionError / MessageTable.resize())
Closed, ResolvedPublic

Description

Summary

On mobile web, when translating to the source language of a page, the page becomes unresponsive for sometime due to a recursion error that causes MessageTable.resize() to be called repeatedly. Also reproducible on normal desktop themes on resizing the page.

Steps

When visiting https://m.mediawiki.org/w/index.php?title=Special:Translate/page-Template:PD_Help_Page&action=translate&task=view&group=page-Template%3APD+Help+Page&language=en&filter=%21translated the page freezes and eventually the JS compiler crashes with a recursion error.

There seems to be an issue in its use of the camelCase function

at camelCase https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:165:726
at css https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:202:242
at boxModelAdjustment https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:199:245
at getWidthOrHeight https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:200:626
at css https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:202:426
at https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:765
at each https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:117:6
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:722
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups%2Cstatsbar%2Cstorage%2Cworkflowselector%7Cext.translate.special.translate%7Cext.wikimediaEvents%7Cjquery%7Cjquery.autosize%2CmakeCollapsible%2CtextSelection%2Ctextchange%2Cui%7Cjquery.makeCollapsible.styles&skin=minerva&version=1f63n:72:943
at resize https://m.mediawiki.org/w/load.php?lang=en&modules=ext.translate.base%2Cdropdownmenu%2Ceditor%2Cgroupselector%2Cloader%2Cmessagetable%2Cnavitoggle%2Cparsers%2Crecentgroups

Event Timeline

Nikerabbit added a subscriber: Nikerabbit.

On Chrome: This seems to only happen when dev tools are initially closed. If I try to resize the page with dev tools open, the page crashes with RESULT_CODE_GPU_DEAD_ON_ARRIVAL.

On Firefox: Initially the browser freezes and does not open developer console, or if it opens, debugger is not available. But after some trying I manage to get a trace in debug mode.

From Chrome:

/w/resources/lib/jquery/jquery.js?11c05:4011 Uncaught RangeError: Maximum call stack size exceeded
    at String.replace (<anonymous>)
    at camelCase (/w/resources/lib/jquery/jquery.js?11c05:4011)
    at Function.css (/w/resources/lib/jquery/jquery.js?11c05:6729)
    at getWidthOrHeight (/w/resources/lib/jquery/jquery.js?11c05:6546)
    at Object.get (/w/resources/lib/jquery/jquery.js?11c05:6786)
    at Function.css (/w/resources/lib/jquery/jquery.js?11c05:6744)
    at /w/resources/lib/jquery/jquery.js?11c05:10427
    at access (/w/resources/lib/jquery/jquery.js?11c05:3994)
    at jQuery.fn.init.jQuery.fn.<computed> [as outerWidth] (/w/resources/lib/jquery/jquery.js?11c05:10400)
    at HTMLLIElement.<anonymous> (/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:383)

The last line in the stack trace points to this code:

			// Calculate the total width required for the filters
			$( '.row.tux-message-selector > li' ).each( function () {
				actualWidth += $( this ).outerWidth( true );
			} );

It seems, when the interface language is English (only time this error happens), these filters are hidden, and jquery outerWidth crashes.

Here is a trace I got from Firefox:

RegExpGlobalReplaceShortOpt self-hosted:4835
    Symbol.replace self-hosted:4700
    replace self-hosted:5578
    jQuery 13
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:390
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393
    resize https://m.mediawiki.org/w/extensions/Translate/resources/js/ext.translate.messagetable.js?ae40c:393

Here is the whole method:

		resize: function () {
			var actualWidth = 0;

			// Calculate the total width required for the filters
			$( '.row.tux-message-selector > li' ).each( function () {
				actualWidth += $( this ).outerWidth( true );
			} );

			// Grid row has a min width. After that scrollbars will appear.
			// We are checking whether the message table is wider than the current grid row width.
			if ( actualWidth >= parseInt( $( '.nine.columns' ).width(), 10 ) ) {
				$( '.tux-message-selector .more ul' ) // Overflow menu
					.prepend( $( '.row.tux-message-selector > li.column:last' ).prev() );

				// See if more items to be pushed to the overflow menu
				this.resize();
			}
		},

Looks like it goes to resize loop. Maybe some change how jquery deals with hidden elements.

Nikerabbit renamed this task from Recursion clientside error to Client side recursion error on Special:Translate when using source and target language equal.Jun 17 2020, 7:42 AM
Arrbee triaged this task as Low priority.Jun 29 2020, 2:09 PM
Arrbee removed a project: Language-Team.
Jdlrobson renamed this task from Client side recursion error on Special:Translate when using source and target language equal to Client side recursion error on Special:Translate when using source and target language equal (camcelCase RecursionError).Jun 30 2020, 8:47 PM
Nikerabbit renamed this task from Client side recursion error on Special:Translate when using source and target language equal (camcelCase RecursionError) to Client side recursion error on Special:Translate when using source and target language equal (camcelCase RecursionError / MessageTable.resize()).Jul 10 2020, 3:09 PM
Nikerabbit added a subscriber: Niedzielski.

Change 612602 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Tux: Check if message filter is visible before running resize

https://gerrit.wikimedia.org/r/612602

abi_ claimed this task.Jul 14 2020, 2:55 PM
abi_ updated the task description. (Show Details)
abi_ moved this task from Backlog to tux on the MediaWiki-extensions-Translate board.
abi_ added a project: Language-Team.

Change 612602 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Tux: Check if message filter is visible before running resize

https://gerrit.wikimedia.org/r/612602

abi_ closed this task as Resolved.Jul 22 2020, 7:52 AM

This is no longer happening on Mediawiki.org